<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAddInInfo2 Method (IEdmAddInMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr6 Interface : GetAddInInfo2 Method (IEdmAddInMgr6)

Visual Basic
C#
C++/CLI

bsPath
  Path to the DLL about which to get information

oReserved
  Must be empty

poInfo
  EdmAddInInfo2 structure; returned add-in information

Gets information about an add-in.

# Syntax

Visual Basic |
--- | ---

    Sub GetAddInInfo2( _
       ByVal bsPath As System.String, _
       ByVal oReserved As System.Object, _
       ByRef poInfo As EdmAddInInfo2 _
    )

C# |
--- | ---

    void GetAddInInfo2(
       System.string bsPath,
       System.object oReserved,
       out EdmAddInInfo2 poInfo
    )

C++/CLI |
--- | ---

    void GetAddInInfo2(
    &   System.String^ bsPath,
    &   System.Object^ oReserved,
    &   [Out] EdmAddInInfo2 poInfo
    )

#### Parameters

bsPath
  Path to the DLL about which to get information
oReserved
  Must be empty
poInfo
  EdmAddInInfo2 structure; returned add-in information

# Example

See the IEdmAddInMgr5 examples.

# Remarks

This method supersedes IEdmAddInMgr5::GetAddInInfo which returned less information about the add-in.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddInMgr6 Interface
IEdmAddInMgr6 Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional